/*
 * Class SPECIAL [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2012 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2012 [] = {0xFF01,1551,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2012 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2012 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2012 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2012 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2012 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2012 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2012 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2012 [] = {2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2012 [] = {0xFF01,2013,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2012 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2012 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2012 [] = {0xFF01,2040,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2012 [] = {0xFF01,2017,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2012 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2012 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2012 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2012 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2012[] = {
	{EIF_GENERIC(NULL), 15762, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2012), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2012), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2012), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2012), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2012), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2012), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2012), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2012), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2012), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2012), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2012), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2012), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2012), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2012), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2012), 11021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2012), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15763, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15764, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15765, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2012), 15767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 15770, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2012), 15771, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2012), 15772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15779, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15732, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15733, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15734, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15736, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15737, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15738, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15739, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15744, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15745, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2012), 15746, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2012), 15747, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2012), 15748, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2012), 15749, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15751, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15752, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15753, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15757, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15760, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15761, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2012), 15766, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2012), 15773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15780, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2012), 15759, 0xFFFFFFFF},
};
void Init2012(void)
{
	IDSC(desc_2012, 0, 2011);
	IDSC(desc_2012 + 1, 1, 2011);
	IDSC(desc_2012 + 32, 1088, 2011);
	IDSC(desc_2012 + 34, 2, 2011);
	IDSC(desc_2012 + 77, 1570, 2011);
	IDSC(desc_2012 + 80, 949, 2011);
	IDSC(desc_2012 + 83, 224, 2011);
}


#ifdef __cplusplus
}
#endif
